.grid-inp {
  display: grid;
  grid-template-columns: 27% 1fr;
  align-items: center;
}

.bg--gry-light {
  background: #f2f1f8;
  border: none;
}

.c--blu {
  color: #2d3391;
}

.sm-txt {
  font-size: 12px;
}

.table.center td {
  vertical-align: middle;
}

.color-preview-box {
  height: 40px;
  width: 40px;
  display: inline-block;
}


.btn-1 {
  background: #2d3391;
  color: #fff;
  padding: 7px 7px 7px 70px;
  display: inline-flex;
  align-items: center;
  gap: 40px;
  border-radius: 100px;
  box-shadow: 0px 0 0 3px #474fcd, 0px 0px 20px 0px #bbb;
  transition: all 0.2s ease;
}

  .btn-1 span {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    height: 30px;
    width: 30px;
    background: #484fba;
    border-radius: 100px;
  }

  .btn-1:hover {
    background: #4147ad;
    box-shadow: 0px 0 0 3px #2d3391, 0px 0px 20px 0px #bbb;
    color: #fff;
  }

    .btn-1:hover span {
      background: #fff;
      transition: all 0.2s ease;
      color: #000;
    }

.btn-2 {
  background: #2d3391;
  color: #fff;
  display: inline-grid;
  grid-template-columns: 1fr 50px;
  justify-content: center;
  align-items: center;
  text-align: center;
  width: 160px;
  height: 50px;
  padding: 0;
  box-shadow: 0.3em 0.3em 0 #767de7;
  border: none;
  transition: all 0.2s ease;
  border-radius: 6px;
}

  .btn-2 span {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 50px;
    height: 50px;
    background: #484fba;
    transition: all 0.2s ease;
    border-radius: 0 6px 6px 0;
  }

  .btn-2:hover {
    background: #484fba;
    color: #fff;
    box-shadow: -0.3em -0.3em 0 #767de7;
  }

    .btn-2:hover span {
      background: #2d3391;
      color: #fff;
    }

.btn-3 {
  width: 200px;
  position: relative;
  display: inline-block;
  border-radius: 30px;
  background-color: #fcfcfc;
  color: #484fba;
  text-align: center;
  font-size: 18px;
  padding: 9px 0;
  transition: all 0.3s;
  padding-right: 40px;
  margin: 20px 5px;
  box-shadow: 0 3px 20px 0 rgba(0, 0, 0, 0.06);
  border: 3px solid #484fba !important;
  overflow: hidden;
}

  .btn-3 .btn-txt {
    position: relative;
    z-index: 9999;
  }

  .btn-3 .btn-icon {
    background-color: #484fba;
    width: 82px;
    height: 45px;
    float: right;
    position: absolute;
    border-radius: 30px 30px 30px 0;
    right: -2px;
    top: 0px;
    transition: all 0.3s;
  }

    .btn-3 .btn-icon i {
      position: absolute;
      right: 16px;
      top: 11px;
      color: #fff;
    }

    .btn-3 .btn-icon::after {
      content: "";
      width: 0;
      height: 0;
      border-top: 45px solid #fcfcfc;
      border-right: 40px solid transparent;
      position: absolute;
      top: 0px;
      left: 0px;
    }

  .btn-3:hover {
    color: #fff;
  }

    .btn-3:hover .btn-icon {
      width: 200%;
      border-radius: 30px;
    }

.btn-4 {
  background: #2d3391 !important;
  color: #fff !important;
  padding: 0;
  height: 50px;
  width: 200px;
  position: relative;
  display: inline-grid;
  grid-template-columns: 50px 1fr;
  align-items: center;
  border: 4px solid #2d3391;
  border-radius: 4px;
  box-shadow: 0.3em 0.3em 0 #767de7;
  transition: all 0.3s ease;
}

  .btn-4 span {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    height: 42px;
    background: #fff;
    color: #2d3391;
    border-radius: 4px;
    position: relative;
    transition: all 0.3s ease;
  }

    .btn-4 span:after {
      content: "";
      position: absolute;
      width: 20px;
      height: 20px;
      background: #fff;
      z-index: 1;
      left: 44px;
      top: 50%;
      margin: -10px 0 0 -10px;
      -webkit-transform: rotate(45deg);
      -moz-transform: rotate(45deg);
      -ms-transform: rotate(45deg);
      transform: rotate(45deg);
      opacity: 1;
      transition: all 0.3s ease;
    }

  .btn-4:hover {
    box-shadow: -0.3em -0.3em 0 #767de7;
    border-radius: 100px;
  }

    .btn-4:hover span {
      border-radius: 100px;
      width: 42px;
    }

      .btn-4:hover span:after {
        opacity: 0;
      }

.btn.shadow {
  background: #fff;
  color: #000;
  text-decoration: none;
  box-shadow: 0px 3px 0px 0px rgba(0, 0, 0, 0.15) !important;
  border-radius: 0;
}

  .btn.shadow.btn-save {
    font-size: 18px;
    display: inline-flex;
    align-items: center;
    gap: 10px;
  }


.btn-5 {
  background: #2d3391 !important;
  color: #fff !important;
  padding: 0;
  height: 50px;
  width: 200px;
  position: relative;
  display: inline-grid;
  grid-template-columns: 1fr 50px;
  align-items: center;
  border: 4px solid #2d3391;
  border-radius: 4px;
  transition: all 0.3s ease;
}

  .btn-5 span {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    height: 42px;
    background: #fff;
    color: #2d3391;
    border-radius: 4px;
    position: relative;
  }

  .btn-5:before {
    position: absolute;
    content: "";
    background: transparent;
    z-index: 2;
    width: 10%;
    height: 35%;
    transition: 0.35s;
    right: 96%;
    top: 96%;
    border-left: 2px solid rgb(28, 31, 30);
    border-bottom: 2px solid rgb(28, 31, 30);
  }

  .btn-5:after {
    position: absolute;
    content: "";
    background: transparent;
    z-index: 2;
    width: 10%;
    height: 35%;
    transition: 0.35s;
    bottom: 96%;
    left: 96%;
    border-top: 2px solid rgb(28, 31, 30);
    border-right: 2px solid rgb(28, 31, 30);
  }


  .btn-5:hover::before, .btn-5:hover::after {
    width: 99%;
    height: 99%;
  }

.grp-btns {
  display: flex;
  justify-content: center;
  gap: 20px;
  align-items: center;
}

.has-dot {
  position: relative;
  padding-left: 20px;
}

  .has-dot:before {
    content: "";
    position: absolute;
    height: 6px;
    width: 6px;
    border-radius: 100px;
    background: red;
    left: 0;
    top: 0;
    bottom: 0;
    margin: auto;
  }

  .has-dot.blak:before {
    background: rgb(0, 0, 0);
  }

.form-control.nm-control {
  border-radius: 0;
  padding: 4px 10px;
  line-height: 1.3;
  border-color: #000;
  border: none;
  /* box-shadow: inset 2px 2px 2px rgba(0,0,0,0.35); */
  box-shadow: inset 1px 1px 5px rgba(0,0,0,0.35);
}

.radio-inline input {
  position: relative;
  top: 1px;
  margin-right: 5px;
}

.btn-save.lg-btn {
  padding-inline: 40px;
}

.btn-style {
  display: inline-flex;
  align-items: center;
  gap: 20px;
  padding: 8px 20px;
  /* background: linear-gradient(to bottom, #fff, #d0d0d0); */
  background: linear-gradient(to bottom, #fff, #dadada);
  border: 1px solid #f3f1f1;
  box-shadow: 0px 5px 9px rgba(0,0,0,0.05);
  font-weight: bold;
  font-size: 16px;
  color: #333;
  cursor: pointer;
  transition: all 0.2s ease;
  justify-content: space-between;
  min-width: 150px;
  border-radius: 6px;
  white-space: nowrap;
}

  .btn-style:hover {
    box-shadow: 0 0 0 rgba(0,0,0,0);
  }

.back-shadow {
  position: relative;
  padding-inline: 30px;
  padding-bottom: 30px;
  z-index: 2;
}

  .back-shadow:before {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    height: 30%;
    /* background: linear-gradient(to bottom, #fff, #f8f1f3); */
    background: linear-gradient(to bottom, #fff, #ededed);
    z-index: -1;
    border-radius: 10px;
  }

.grid-inp {
  display: flex;
  gap: 0 50px;
  flex-wrap: wrap;
  margin-bottom: 1.6rem !important;
}

  .grid-inp label {
    min-width: 150px;
  }

  .grid-inp .inp-error {
    flex: 1;
    position: relative;
  }

.error-msg {
  position: absolute;
  top: 100%;
  color: red;
  font-size: 14px;
}

.tbl-grid {
  display: grid;
  grid-template-columns: 40% 1fr 1fr 1fr 1fr;
  justify-content: center;
  align-items: center;
  background: linear-gradient(to bottom, #fff, #dadada);
  border: 1px solid #f3f1f1;
  /* box-shadow: 0px 5px 9px rgba(0,0,0,0.05); */
  box-shadow: 0px 4px 5px rgba(0,0,0,0.1);
  padding: 8px 15px;
  border-radius: 4px;
  margin-bottom: 10px;
}

  .tbl-grid .tbl-cell:not(:first-child) {
    text-align: center;
  }

button.has-up-icon {
  position: relative;
  padding-inline: 30px;
}

.btn-style.has-up-icon span {
  display: inline-flex;
  height: 32px;
  width: 32px;
  box-shadow: rgba(0, 0, 0, 0.15) 0px 5px 9px;
  justify-content: center;
  align-items: center;
  padding-top: 0px;
  position: absolute;
  top: -8px;
  right: -16px;
  font-size: 1.5rem;
  background: linear-gradient(rgb(255, 255, 255), rgb(255, 255, 255));
  border-width: 1px;
  border-style: solid;
  border-color: rgb(243, 241, 241);
  border-image: initial;
  border-radius: 3px;
}

.tbl-grid .tbl-cell label {
  display: inline-flex;
  align-items: center;
  gap: 28px;
}

.tbl-grid.no-bg {
  background: transparent;
  border: none;
  box-shadow: none;
}

.tbl-cell.has-save-btn button {
  margin-left: 66px;
}

.suggestions-popup {
  position: absolute;
  background: white;
  border: 1px solid #ccc;
  list-style: none;
  padding: 0.5rem;
  z-index: 1000;
}

  .suggestions-popup li {
    padding: 0.25rem;
    cursor: pointer;
  }

    .suggestions-popup li:hover {
      background: #efefef;
    }

.contact-container .grid-inp label {
  min-width: 110px;
}

.contact-container .grid-inp {
  gap: 20px;
}

/* .sm-inp{
    width: 280px;
    flex: initial;	
} */

.nominal-grid .tbl-responsive > .tbl-grid {
  grid-template-columns: 8rem 1fr auto;
  padding-right: 2rem;
}

.nominal-grid .tbl-grid .tbl-cell:nth-child(2) {
  text-align: left;
  color: #2d3391;
}

.btn-style.use-btn {
  background: #2d3391;
  color: #fff;
  min-width: 3rem;
  padding: 4px 15px;
  text-align: center;
  align-items: center;
  border-radius: 100px;
}

.sm-txt {
  font-size: 20px;
}

.small-inp {
  flex: initial !important;
}

.btn-style.sm-btn {
  min-width: initial;
  padding: 5px 15px;
  font-size: 14px;
}

.grid-1fr-auto {
  display: grid;
  grid-template-columns: 1fr auto;
  width: 100%;
  gap: 20px;
  align-items: center;
}

.tbl-cell .big-num {
  font-size: 24px;
  color: #2d33ab;
  font-weight: 700;
}

.big-num-text {
  font-size: 24px;
  color: #2d33ab;
  font-weight: 700;
}

.ml-20 {
  margin-left: 20px;
}

.df-wrapper .grid-inp label {
  min-width: 140px;
  font-size: 14px;
  margin-bottom: 0;
}

.pop-df-wrapper .grid-inp label {
  font-size: 14px;
  margin-bottom: 0;
}

.btn-style.sm-btn {
  min-width: 50px;
  padding-inline: 0;
  justify-content: center;
}

.img-icon {
  width: 16px;
}

.red-text {
  color: red !important;
}

@media(max-width:991px) {
  .log-grid {
    gap: 15px !important;
  }

    .log-grid .right h2 {
      font-size: 1.5rem;
    }

  .illustration {
    height: 30vh;
  }

  .main-header .brand-name img {
    width: 7rem;
  }

  .m-mt-2 {
    margin-top: 15px;
  }
}


@media(max-width:767px) {
  .log-grid {
    grid-template-columns: 1fr;
  }

    .log-grid .left {
      width: 100%;
    }

  .main-header .container {
    display: flex;
    flex-direction: column;
    gap: 18px;
  }

  .header-menu {
    width: 100%;
    padding: 0;
    gap: 4px;
    justify-content: space-between;
  }

    .header-menu li a span {
      display: inline-flex;
      height: 2rem;
      width: 2rem;
      justify-content: center;
      align-items: center;
      font-size: 14px;
      padding: 0.5rem;
      background: #fff;
      border-radius: 0.25rem;
      transition: all 0.3s ease;
    }

    .header-menu li a {
      display: flex;
      flex-direction: column;
      align-items: center;
      color: #000;
      text-decoration: NONE;
      gap: 5px;
      font-size: 11px;
    }

  .main-nav .d-flex.justify-content-between.align-items-center {
    flex-direction: column;
    gap: 15px;
  }

  .main-nav .nav-right-menu ul {
    padding: 0;
  }

  .grid-inp label {
    font-size: 12px;
  }
}

tbody, td, tfoot, th, thead, tr {
  border-style: none !important;
}
